syntax = "proto3";
option go_package = ".;pb";

message DBMline {
  string id = 1;        //@go_tags(`bson:"_id"`) ID
  string uid = 2;       //@go_tags(`bson:"uid"`) 用户ID
  int32 cType = 3;  //@go_tags(`bson:"cType"`) 章节类型
  int32 chapterId = 4;    //@go_tags(`bson:"chapterId"`) 章节ID
  int32 stageId = 5;    //@go_tags(`bson:"stageId"`) 主线关卡ID
  map<int32,int32> star = 6;// 关卡对应的星级 (key 关卡ID  value 星数)
  map<int32,bool> award  = 7;  //@go_tags(`bson:"award"`) (key 配置表星级)
  map<int32,int32> ps = 8;// 预扣的体力
}